/*
 * Copyright (C) 2017 Ole Reglitzki
 *
 * This program is free software: you can redistribute it and/or modify it under the terms of the GNU Affero General
 * Public License as published by the Free Software Foundation, version 3.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied
 * warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Affero General Public License for more
 * details.
 *
 * You should have received a copy of the GNU Affero General Public License along with this program. If not, see
 * <http://www.gnu.org/licenses/>.
 */

@import "../variables.scss";

#toolbar {
  margin: 0 0 $content-padding-y 0;
  background: $nav-bg;

  a {
    $size: 28px;

    padding: 2px 4px;
    color: $body-fg;
    text-decoration: none;
    background: fade_out($header-bg, .95);
    border: 0 solid fade_out($body-bg, .5);
    border-right-width: 1px;
    height: $size;
    font-size: $size;
    line-height: $size;
    &:first-child {
      border-left-width: 1px;
    }
    &:hover, &:active, &:focus {
      background: fade_out($header-bg, .8);
    }
    &.icon {
      padding: 0;
      display: inline-block;
      width: $size;
      text-align: center;
    }
  }
}

#toolbar-right {
  float: right;
}
